<?php
function ConFecact() 
{ 
	$dbcfa = mysqli_connect("35.225.233.105:3306", "root", "O7I=)O%IwT]o","intralog_impo") or die ("no se conecto a intralog_impo") ;
	return $dbcfa; 
} 
$lfecact=ConFecact();

$qTime = mysqli_query($lfecact,"select time_configuration from configuracion");
$rqTime = mysqli_fetch_array($qTime);
$zona = $rqTime["time_configuration"];
date_default_timezone_set('America/'.$zona); //Mexico_City
//date_default_timezone_set('America/Mazatlan');
require_once("comun/conexion3.php");
require_once("comun/conex_ver.php");

require_once("comun/actions.php");

require_once("comun/funciones.php");

$action = new actions();

$link_impo=con_impo();$link=con_ver();

function valorate($valor){
	$valor = str_replace("'","\'",strtoupper($valor));
	return $valor;
}


//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&& REGISTRO DE """MBL""" LZ ADDED 14.6.2013 &&&&&&&&&&&&&&&&&&&&&&&&&&
//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
$txtbooking= valorate($_POST['h_booking']); //booking interteam
$action->alert($txtbooking);
//OBTENGO EL ID DEL BOOKING (ITVER)
$txtidbooking= qry_($link_impo,'booking_interteam = "'.$txtbooking.'"','bookingexpint','booking'); //itver

if($txtidbooking=='') $txtidbooking=$txtbooking;

$txtreferencia= valorate($_POST['h_referencia']);

//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&& REGISTRO DE HBL LZ ADDED 14.6.2013 &&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&

$h_txtbooking= valorate($_POST['h_booking']);
$h_txtreferencia= valorate($_POST['h_referencia']);
$h_txtshipper_file= valorate($_POST['h_shipper_file']);

$h_txtconsignee1=valorate($_POST['h_consignee1']);
$h_txtconsignee2= valorate($_POST['h_consignee2']);
$h_txtconsignee3=valorate($_POST['h_consignee3']);
$h_txtconsignee4 = valorate($_POST['h_consignee4']);
$h_txtconsignee5 = valorate($_POST['h_consignee5']);
$h_txtconsignee6 = valorate($_POST['h_consignee6']);

$h_txtnotify1=valorate($_POST['h_notify1']);
$h_txtnotify2= valorate($_POST['h_notify2']);
$h_txtnotify3=valorate($_POST['h_notify3']);
$h_txtnotify4 = valorate($_POST['h_notify4']);
$h_txtnotify5 = valorate($_POST['h_notify5']);
$h_txtnotify6 = valorate($_POST['h_notify6']);

$h_txtshipper1=valorate($_POST['h_shipper1']);
$h_txtshipper2= valorate($_POST['h_shipper2']);
$h_txtshipper3=valorate($_POST['h_shipper3']);
$h_txtshipper4 = valorate($_POST['h_shipper4']);
$h_txtshipper5 = valorate($_POST['h_shipper5']);
$h_txtshipper6 = valorate($_POST['h_shipper6']);

$h_tarja=valorate($_POST['h_tarja']);
$h_largo=valorate($_POST['h_largo']);
$h_ancho=valorate($_POST['h_ancho']);
$h_alto=valorate($_POST['h_alto']);

$h_txtmarks=valorate($_POST['h_marks']);
$h_txtquantity= valorate($_POST['h_quantity']);
$h_txttype_of_bulks= valorate($_POST['h_type_of_bulks']);
$h_txtdescription=valorate($_POST['h_description']);
$h_txtno_piezas = valorate($_POST['h_no_piezas']);
$h_txtgross_weight = valorate($_POST['h_gross_weight']);
$h_txtnet_weight = valorate($_POST['h_net_weight']);

$h_txtvolume=valorate($_POST['h_volume']);
$h_txtharmonized_code= valorate($_POST['h_harmonized_code']);
$h_txtams=valorate($_POST['h_ams']);
//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&& FIN DE &&&&&&&& LZ ADDED 14.6.2013 &&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&


$txtfiles = qry_($link_impo,' booking = "'.$txtidbooking.'" ','bookingexpint','files');
// OBTENGO EL HBL DEL BOOKING

$txthbl = hbl_($link_impo,$txtidbooking);

 con_ver();
//$action->alert($_GET[h_id]);
//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&REGISTRO DE HBL&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&


if($_GET[h_id]!=''){
	$tm=data($link,"select id_bl from detailcargaexpint where id = '".$_GET[h_id]."' ");
	$id_hbl=$tm[0];
mysqli_query($link,"update hblexpint set shipper='$h_txtshipper1', shipper2='$h_txtshipper2', shipper3='$h_txtshipper3',shipper4='$h_txtshipper4',
				shipper5='$h_txtshipper5',shipper6='$h_txtshipper6',consignee='$h_txtconsignee1',consignee2='$h_txtconsignee2', 
				consignee3='$h_txtconsignee3',consignee4='$h_txtconsignee4', consignee5='$h_txtconsignee5', consignee6='$h_txtconsignee6', 
			    notify='$h_txtnotify1',notify2='$h_txtnotify2', notify3='$h_txtnotify3', notify4='$h_txtnotify4', notify5='$h_txtnotify5', 
				notify6 = '$h_txtnotify6',shipper_file = '".$h_txtshipper_file."',registrado_por = '".$_POST[email]."',
				tarja = '$h_tarja' where idhbl='".$id_hbl."' ");
 
  if($_POST[h_status_cambiado]!=''){
	 mysqli_query($link,"update hblexpint set status = '".$_POST[h_status_cambiado]."',revision = '".$_POST[email]."',fecha_revision='".date("Y-m-d H:i:s")."' where idhbl='".$id_hbl."' ");
 
 }
 
 if($_POST[h_status_cambiado]=='OK'){
	 mysqli_query($link,"update hblexpint set revision = '".$_POST[email]."',fecha_revision='".date("Y-m-d H:i:s")."' where idhbl='".$id_hbl."' ");
 
 }
 // 11.3.2014
 
			    mysqli_query($link,"update detailcargaexpint set 
				`bulk` = '$h_txtquantity',
				`type_of_bulks` = '$h_txttype_of_bulks',
				`number_of_pieces` = '$h_txtno_piezas', `cargo` = '$h_txtdescription', 
				`weight` = '$h_txtgross_weight',
				`measurement` = '$h_txtvolume', `markandnos` = '$h_txtmarks', `netweight` = '$h_txtnet_weight',
				`harmonized_code`='$h_txtharmonized_code',`ams`='$h_txtams',
				`largo`='$h_largo',`ancho`='$h_ancho',`alto`='$h_alto'
				where id = '".$_GET[h_id]."'  ");
}else{
	
mysqli_query($link,"insert into hblexpint (
			tipo,hbl, shipper, shipper2, shipper3, shipper4, shipper5, shipper6,
			consignee, consignee2, consignee3,consignee4, consignee5, consignee6, 
			notify,notify2, notify3, notify4, notify5, notify6,
			booking,referencia, fechaRegistro, status,shipper_file,registrado_por,tarja) 
			values 	
('HBL','$txthbl','$h_txtshipper1','$h_txtshipper2','$h_txtshipper3','$h_txtshipper4','$h_txtshipper5','$h_txtshipper6',
'$h_txtconsignee1','$h_txtconsignee2','$h_txtconsignee3','$h_txtconsignee4','$h_txtconsignee5','$h_txtconsignee6',
'$h_txtnotify1','$h_txtnotify2','$h_txtnotify3','$h_txtnotify4','$h_txtnotify5','$h_txtnotify6',
'$h_txtbooking','$h_txtreferencia','".date("Y-m-d H:i:s")."','OK','".$h_txtshipper_file."','".$_POST[email]."','$h_tarja')");
$id_hbl=mysqli_insert_id($link);
// 11.3.2014
 
mysqli_query($link,"insert into detailcargaexpint (`tipo_bl`, `bookingno`, `bulk`,`type_of_bulks`, `number_of_pieces`, `cargo`, `weight`, `measurement`, `markandnos`, `id_bl`, `netweight`, `harmonized_code`, `ams`,largo,ancho,alto) values ('HBL','$h_txtbooking','$h_txtquantity','$h_txttype_of_bulks',
'$h_txtno_piezas','$h_txtdescription','$h_txtgross_weight','$h_txtvolume','$h_txtmarks','$id_hbl','$h_txtnet_weight','$h_txtharmonized_code','$h_txtams','$h_largo','$h_ancho','$h_alto')");
}
//$action->alert(mysqli_error());

$action->alert('Registro OK');
//document.getElementById('forma').reset();
$action->text('shipper_file',valorate($h_txtshipper_file));
//
$action->add_js_code("unloadin('saving_hbl');buscar_booking(document.getElementById('h_booking').value);
document.location='registro_bl.php#lista'");

$action->send_response();

return;

?> 

